IAMRolesAnywhere / Client / get_crl

get_crl

IAMRolesAnywhere.Client.get_crl(**kwargs)

Gets a certificate revocation list (CRL).

Required permissions: rolesanywhere:GetCrl.

See also: AWS API Documentation

Request Syntax

response = client.get_crl(
    crlId='string'
)
Parameters:

crlId (string) –

[REQUIRED]

The certificate revocation list (CRL) to act on. You can specify one of the following:

  • The CRL ID.

  • The CRL ARN.

  • The alias ARN of the CRL.

An ARN must be for a CRL in your account and Region.

Return type:

dict

Returns:

Response Syntax

{
    'crl': {
        'crlId': 'string',
        'crlArn': 'string',
        'name': 'string',
        'enabled': True|False,
        'crlData': b'bytes',
        'trustAnchorArn': 'string',
        'createdAt': datetime(2015, 1, 1),
        'updatedAt': datetime(2015, 1, 1),
        'aliasName': 'string',
        'aliasArn': 'string',
        'previousAliasName': 'string'
    }
}

Response Structure

  • (dict) –

    • crl (dict) –

      The state of the certificate revocation list (CRL) after a read or write operation.

      • crlId (string) –

        The unique identifier of the certificate revocation list (CRL).

      • crlArn (string) –

        The ARN of the certificate revocation list (CRL).

      • name (string) –

        The name of the certificate revocation list (CRL).

      • enabled (boolean) –

        Indicates whether the certificate revocation list (CRL) is enabled.

      • crlData (bytes) –

        The state of the certificate revocation list (CRL) after a read or write operation.

      • trustAnchorArn (string) –

        The ARN of the TrustAnchor the certificate revocation list (CRL) will provide revocation for.

      • createdAt (datetime) –

        The ISO-8601 timestamp when the certificate revocation list (CRL) was created.

      • updatedAt (datetime) –

        The ISO-8601 timestamp when the certificate revocation list (CRL) was last updated.

      • aliasName (string) –

        The alias of the certificate revocation list (CRL). Present only if the CRL has an alias.

      • aliasArn (string) –

        The alias ARN of the certificate revocation list (CRL), in the form ``arn:partition:rolesanywhere:region:account:alias/crl/alias-name ``. Present only if the CRL has an alias.

        You can use the alias ARN in place of the resource ID or ARN in the request parameters whose descriptions say that they accept an alias ARN. Don’t use the alias ARN in Identity and Access Management (IAM) policies. A policy statement that names an alias ARN doesn’t apply to the resource that holds the alias. Write policies with the ARN that contains the resource ID instead.

      • previousAliasName (string) –

        The alias that the resource had before the update request. IAM Roles Anywhere returns this value only in the response to an update request that changed or removed an existing alias. It isn’t returned when the alias was unchanged, when the resource had no alias before the request, or by other operations.

Exceptions

  • IAMRolesAnywhere.Client.exceptions.ResourceNotFoundException

  • IAMRolesAnywhere.Client.exceptions.ServiceUnavailableException